Package org.springframework.security.access

# Interface ConfigAttribute

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `PostInvocationAttribute`, `PreInvocationAttribute`

All Known Implementing Classes:
  `Jsr250SecurityConfig`, `SecurityConfig`

public interface ConfigAttribute extends Serializable
Stores a security system related configuration attribute.

When an `AbstractSecurityInterceptor` is set up, a list of configuration attributes is defined for secure object patterns. These configuration attributes have special meaning to a `RunAsManager`, `AccessDecisionManager` or `AccessDecisionManager` delegate.

Stored at runtime with other `ConfigAttribute`s for the same secure object target.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttribute()`
If the `ConfigAttribute` can be represented as a `String` and that `String` is sufficient in precision to be relied upon as a configuration parameter by a `RunAsManager`, `AccessDecisionManager` or `AccessDecisionManager` delegate, this method should return such a `String`.

## Method Details

### getAttribute

String getAttribute()
If the `ConfigAttribute` can be represented as a `String` and that `String` is sufficient in precision to be relied upon as a configuration parameter by a `RunAsManager`, `AccessDecisionManager` or `AccessDecisionManager` delegate, this method should return such a `String`.

If the `ConfigAttribute` cannot be expressed with sufficient precision as a `String`, `null` should be returned. Returning `null` will require any relying classes to specifically support the `ConfigAttribute` implementation, so returning `null` should be avoided unless actually required.

Returns:
  a representation of the configuration attribute (or `null` if the configuration attribute cannot be expressed as a `String` with sufficient precision).